nrdpPartner = {
    
    Keys: {
        // Define how your key codes are mapped to key names
        //      Key names are defined by Netflix and should not be modified
        //      Key code mappings can be freely modified by the partner
        //      See the partner key mapping documentation on the Netflix portal for more details
        //
        // SUPPORTED:
        //      The key code for a mapping can be changed
        //      A key code mapping can be removed if there is no applicable key for the device
        //      Multiple key codes can be mapped to the same key name
        //
        
     // code    key name               Typical remote key      Netflix UI typical usage
        "13":   "key.enter",        // Enter                   Select/Enter
        "27":   "key.back",         // Return / Back           Back Navigation
        "33":   "key.netflix",      // Netflix button          UI Home Shortcut
        "35":   "key.options",      // Options / Tools
        "37":   "key.left",         // Left                    Left Navigation
        "38":   "key.up",           // Up                      Up Navigation
        "39":   "key.right",        // Right                   Right Navigation
        "40":   "key.down",         // Down                    Down Navigation
        "46":   "key.info",         // Info                    Info
        "48":   "key.0",            // Numeric 0   
        "49":   "key.1",            // Numeric 1
        "50":   "key.2",            // Numeric 2
        "51":   "key.3",            // Numeric 3
        "52":   "key.4",            // Numeric 4
        "53":   "key.5",            // Numeric 5
        "54":   "key.6",            // Numeric 6
        "55":   "key.7",            // Numeric 7
        "56":   "key.8",            // Numeric 8
        "57":   "key.9",            // Numeric 9
        "97":   "key.step_prev",    // Slow/Step Prev
        "98":   "key.pause",        // Pause                    Playback/Trickplay Pause
        "99":   "key.step_next",    // Slow/Step Next
        "100":  "key.rewind",       // Scan/Rewind              Playback/Trickplay Rewind
        "101":  "key.play",         // Play (or Play/Pause)     Playback/Trickplay Play/Pause Toggle
        "102":  "key.fastfwd",      // Scan/FastFwd             Playback/Trickplay FastFwd
        "103":  "key.track_prev",   // Track Prev
        "104":  "key.stop",         // Stop                     Playback/Trickplay Stop
        "105":  "key.track_next",   // Track Next
        "106":  "key.clear",        // Clear
        "109":  "key.time",         // Time                     
        "110":  "key.search",       // Search                   Show Search Screen
        "111":  "key.angle",        // Angle
        "118":  "key.top_menu",     // Top Menu / Menu          UI Home Shortcut
        "119":  "key.popup_menu",   // Popup Menu
        "120":  "key.display",      // Display                  Display Bitrate Info
        "121":  "key.subtitle",     // Subtitle
        "122":  "key.audio",        // Audio
        "123":  "key.exit",         // Exit
        "219":  "key.red",          // Color Red
        "220":  "key.green",        // Color Green
        "221":  "key.blue",         // Color Blue
        "222":  "key.yellow"        // Color Yellow
    }
    
};
