nrdp._filter = "ui|qa";
nrdp._iframeSrc = "html/qa.html";

nrdp.qa = {
    addEventListener: function(e, l) { nrdp._addEventListener("qa", e, l); },
    removeEventListener: function(e, l) { nrdp._removeEventListener("qa", e, l); }
};

nrdp.qa.device = {
    getAuthenticationType: function(cb) {
        nrdp._invoke("qa.device", "getAuthenticationType", null, cb);
    },
    isSubtitleSupported: function(iso639_1, iso639_2, bcp47, cb) {
        nrdp._invoke("qa.device", "isSubtitleSupported",{
                     iso639_1: iso639_1,
                     iso639_2: iso639_2,
                     bcp47: bcp47},
                     cb);
    },
    setSubtitleSupported: function(iso639_1, iso639_2, bcp47, cb) {
        nrdp._invoke("qa.device", "setSubtitleSupported",{
                     iso639_1: iso639_1,
                     iso639_2: iso639_2,
                     bcp47: bcp47},
                     cb);
    },
    getMemoryUsage: function(cb) {
        nrdp._invoke("qa.device", "getMemoryUsage", null, cb);
    },
    configureX509: function(cert, key, cb) {
        nrdp._invoke("qa.device", "configureX509",{
                     cert: cert,
                     key: key},
                     cb);
    },
    configurePreshared: function(esn, kpe, kph, cb) {
        nrdp._invoke("qa.device", "configurePreshared",{
                     esn: esn,
                     kpe: kpe,
                     kph: kph},
                     cb);
    },
    configureWeb: function(esn, netflixID, secureNetflixID, cb) {
        nrdp._invoke("qa.device", "configureWeb",{
                     esn: esn,
                     netflixID: netflixID,
                     secureNetflixID: secureNetflixID},
                     cb);
    },
    getLanguage: function(cb) {
        nrdp._invoke("qa.device", "getLanguage", null, cb);
    },
    setLanguage: function(language, cb) {
        nrdp._invoke("qa.device", "setLanguage",{
                     language: language},
                     cb);
    },
    getCapability: function(capability, cb) {
        nrdp._invoke("qa.device", "getCapability",{
                     capability: capability},
                     cb);
    },
    setCapability: function(capability, value, cb) {
        nrdp._invoke("qa.device", "setCapability",{
                     capability: capability,
                     value: value},
                     cb);
    },
    getProfiles: function(cb) {
        nrdp._invoke("qa.device", "getProfiles", null, cb);
    },
    setProfiles: function(profiles, cb) {
        nrdp._invoke("qa.device", "setProfiles",{
                     profiles: profiles},
                     cb);
    },
    getForcedCdnId: function(cb) {
        nrdp._invoke("qa.device", "getForcedCdnId", null, cb);
    },
    setForcedCdnId: function(id, cb) {
        nrdp._invoke("qa.device", "setForcedCdnId",{
                     id: id},
                     cb);
    },
    getForcedBitrates: function(cb) {
        nrdp._invoke("qa.device", "getForcedBitrates", null, cb);
    },
    setForcedBitrates: function(video, audio, cb) {
        nrdp._invoke("qa.device", "setForcedBitrates",{
                     video: video,
                     audio: audio},
                     cb);
    },
    sendCommand: function(command, cb) {
        nrdp._invoke("qa.device", "sendCommand",{
                     command: command},
                     cb);
    },
    getCTicket: function(cb) {
        nrdp._invoke("qa.device", "getCTicket", null, cb);
    },
    setCTicket: function(cticket, expiration, cb) {
        nrdp._invoke("qa.device", "setCTicket",{
                     cticket: cticket,
                     expiration: expiration},
                     cb);
    },
    setVideoOutputResolution: function(width, height, cb) {
        nrdp._invoke("qa.device", "setVideoOutputResolution",{
                     width: width,
                     height: height},
                     cb);
    }
};

nrdp.qa.memory = {
    stats: function(cb) {
        nrdp._invoke("qa.memory", "stats", null, cb);
    },
    rawStats: function(cb) {
        nrdp._invoke("qa.memory", "rawStats", null, cb);
    },
    addProcess: function(process, name, mtrace, cb) {
        nrdp._invoke("qa.memory", "addProcess",{
                     process: process,
                     name: name,
                     mtrace: mtrace},
                     cb);
    },
    rawStatsMark: function(mark, cb) {
        nrdp._invoke("qa.memory", "rawStatsMark",{
                     mark: mark},
                     cb);
    },
    removeProcess: function(process, cb) {
        nrdp._invoke("qa.memory", "removeProcess",{
                     process: process},
                     cb);
    }
};

nrdp.qa.nccp = {
    ping: function(cb) {
        nrdp._invoke("qa.nccp", "ping", null, cb);
    },
    preRegister: function(cb) {
        nrdp._invoke("qa.nccp", "preRegister", null, cb);
    },
    registerRendezvous: function(regCode, retryInterval, cb) {
        nrdp._invoke("qa.nccp", "registerRendezvous",{
                     regCode: regCode,
                     retryInterval: retryInterval},
                     cb);
    },
    registerEmailPassword: function(email, password, cb) {
        nrdp._invoke("qa.nccp", "registerEmailPassword",{
                     email: email,
                     password: password},
                     cb);
    },
    registerNetflixID: function(netflixID, secureNetflixID, cb) {
        nrdp._invoke("qa.nccp", "registerNetflixID",{
                     netflixID: netflixID,
                     secureNetflixID: secureNetflixID},
                     cb);
    },
    renewAuthentication: function(accountKey, cb) {
        nrdp._invoke("qa.nccp", "renewAuthentication",{
                     accountKey: accountKey},
                     cb);
    },
    getAuthorization: function(movieId, trackId, profiles, cb) {
        nrdp._invoke("qa.nccp", "getAuthorization",{
                     movieId: movieId,
                     trackId: trackId,
                     profiles: profiles},
                     cb);
    },
    getLicense: function(xid, playbackType, downloadableId, drmType, bdVolumeId, bdTitleId, cb) {
        nrdp._invoke("qa.nccp", "getLicense",{
                     xid: xid,
                     playbackType: playbackType,
                     downloadableId: downloadableId,
                     drmType: drmType,
                     bdVolumeId: bdVolumeId,
                     bdTitleId: bdTitleId},
                     cb);
    },
    reportPlayData: function(lTicket, movieId, totalPlayTime, startPosition, stopPosition, playdataType, streamPlayData, secureStopData, cb) {
        nrdp._invoke("qa.nccp", "reportPlayData",{
                     lTicket: lTicket,
                     movieId: movieId,
                     totalPlayTime: totalPlayTime,
                     startPosition: startPosition,
                     stopPosition: stopPosition,
                     playdataType: playdataType,
                     streamPlayData: streamPlayData,
                     secureStopData: secureStopData},
                     cb);
    },
    sendLogBlob: function(sequenceNumber, logData, cb) {
        nrdp._invoke("qa.nccp", "sendLogBlob",{
                     sequenceNumber: sequenceNumber,
                     logData: logData},
                     cb);
    },
    x509Provision: function(cb) {
        nrdp._invoke("qa.nccp", "x509Provision", null, cb);
    },
    eccLinkProvision: function(cb) {
        nrdp._invoke("qa.nccp", "eccLinkProvision", null, cb);
    },
    heartbeat: function(lTicket, movieId, totalPlayTime, startPosition, stopPosition, heartbeatType, streamPlayData, cb) {
        nrdp._invoke("qa.nccp", "heartbeat",{
                     lTicket: lTicket,
                     movieId: movieId,
                     totalPlayTime: totalPlayTime,
                     startPosition: startPosition,
                     stopPosition: stopPosition,
                     heartbeatType: heartbeatType,
                     streamPlayData: streamPlayData},
                     cb);
    },
    appTrustStore: function(cb) {
        nrdp._invoke("qa.nccp", "appTrustStore", null, cb);
    },
    deviceNetflixID: function(cb) {
        nrdp._invoke("qa.nccp", "deviceNetflixID", null, cb);
    }
};

nrdp.qa.nrdlib = {
    start: function(cb) {
        nrdp._invoke("qa.nrdlib", "start", null, cb);
    },
    stop: function(cb) {
        nrdp._invoke("qa.nrdlib", "stop", null, cb);
    },
    getVersion: function(cb) {
        nrdp._invoke("qa.nrdlib", "getVersion", null, cb);
    },
    massDeactivateCheck: function(cb) {
        nrdp._invoke("qa.nrdlib", "massDeactivateCheck", null, cb);
    }
};

nrdp.qa.subtitlemanager = {
    rankUrls: function(urls, cb) {
        nrdp._invoke("qa.subtitlemanager", "rankUrls",{
                     urls: urls},
                     cb);
    },
    open: function(cb) {
        nrdp._invoke("qa.subtitlemanager", "open", null, cb);
    },
    close: function(cb) {
        nrdp._invoke("qa.subtitlemanager", "close", null, cb);
    },
    seek: function(pts, cb) {
        nrdp._invoke("qa.subtitlemanager", "seek",{
                     pts: pts},
                     cb);
    },
    updatePTS: function(pts, cb) {
        nrdp._invoke("qa.subtitlemanager", "updatePTS",{
                     pts: pts},
                     cb);
    }
};

nrdp.qa.system = {
    noop: function(cb) {
        nrdp._invoke("qa.system", "noop", null, cb);
    },
    getNetflixID: function(cb) {
        nrdp._invoke("qa.system", "getNetflixID", null, cb);
    },
    setNetflixID: function(netflixID, secureNetflixID, cb) {
        nrdp._invoke("qa.system", "setNetflixID",{
                     netflixID: netflixID,
                     secureNetflixID: secureNetflixID},
                     cb);
    },
    setPlaybackSessionParams: function(params, cb) {
        nrdp._invoke("qa.system", "setPlaybackSessionParams",{
                     params: params},
                     cb);
    },
    getAppTrustStore: function(cb) {
        nrdp._invoke("qa.system", "getAppTrustStore", null, cb);
    }
};

window.addEventListener("message",
                        function(e) {
                            var evt = {};
                            evt.type = "event";
                            evt.data = e.data.data;
                            nrdp._callEventListeners("qa", evt);
                        });
